package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 卖家应收（买家应付）对账单明细
 * 
 * @author suntg
 * @date 2015年10月10日16:42:14
 */
@Table(name = "sale$archeckitems")
@Entity
public class SaleARCheckItemSimpleInfo {

	@Id
	@Column(name = "saci_id")
	private Long id;

	/**
	 * 客户采购单号
	 */
	@Column(name = "saci_pocode")
	private String poCode;

	/**
	 * （客户）物料编号
	 */
	@Column(name = "saci_prodcode")
	private String prodCode;

	/**
	 * （客户）物料名称
	 */
	@Column(name = "saci_prodtitle")
	private String prodTitle;

	/**
	 * （客户）物料规格
	 */
	@Column(name = "saci_prodspec")
	private String prodSpec;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getPoCode() {
		return poCode;
	}

	public void setPoCode(String poCode) {
		this.poCode = poCode;
	}

	public String getProdCode() {
		return prodCode;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public String getProdTitle() {
		return prodTitle;
	}

	public void setProdTitle(String prodTitle) {
		this.prodTitle = prodTitle;
	}

	public String getProdSpec() {
		return prodSpec;
	}

	public void setProdSpec(String prodSpec) {
		this.prodSpec = prodSpec;
	}

	@Override
	public String toString() {
		return "SaleARCheckItemSimpleInfo [id=" + id + ", poCode=" + poCode + ", prodCode=" + prodCode + ", prodTitle="
				+ prodTitle + ", prodSpec=" + prodSpec + "]";
	}

}
